classification
Title: trace misreports "missing" lines
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: belopolsky Nosy List: Arfrever, belopolsky, eli.bendersky, terry.reedy
Priority: normal Keywords: patch

Created on 2010-09-24 02:55 by belopolsky, last changed 2010-10-05 16:51 by belopolsky. This issue is now closed.

Files
File name Uploaded Description Edit
traceme.py belopolsky, 2010-09-24 02:55
issue9936.diff belopolsky, 2010-09-24 03:00 review
issue9936a.diff belopolsky, 2010-09-24 16:12 Patch with unit tests review
Messages (5)
msg117257 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2010-09-24 02:55
With the attached traceme.py, 


$ python -m trace -m -s -c  traceme.py
lines   cov%   module   (path)
    2    50%   traceme   (traceme.py)
$ cat traceme.cover 
       x = (1,
>>>>>>      2,
    1:      3)

This is wrong because all lines in traceme.py are executed.
msg117258 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2010-09-24 03:00
I am attaching a patch that fixes this issue.  Need to add a unit test.
msg117321 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2010-09-24 18:15
Fixed in r84994, r84995 (3.1) and r84996 (2.7).
msg117430 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2010-09-26 21:47
test_issue9936 fails on 2.7 branch.
See e.g. http://www.python.org/dev/buildbot/2.7.stable/builders/sparc%20solaris10%20gcc%202.7/builds/268/steps/test/logs/stdio
msg117431 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2010-09-26 23:38
On Sun, Sep 26, 2010 at 5:47 PM, Arfrever Frehtes Taifersar Arahesis
<report@bugs.python.org> wrote:
..
>
> test_issue9936 fails on 2.7 branch.

Should be fixed by r85020.  Thanks.
History
Date User Action Args
2010-10-05 16:51:11belopolskysetstatus: open -> closed
2010-09-26 23:38:17belopolskysetmessages: + msg117431
2010-09-26 21:47:23Arfreversetnosy: + Arfrever
messages: + msg117430
2010-09-24 18:15:49belopolskysetresolution: fixed
messages: + msg117321
stage: commit review -> resolved
2010-09-24 16:12:57belopolskysetfiles: + issue9936a.diff
stage: test needed -> commit review
2010-09-24 03:16:33belopolskysetversions: + Python 3.1, Python 2.7
2010-09-24 03:02:48belopolskysetnosy: + terry.reedy, eli.bendersky
2010-09-24 03:00:02belopolskysetfiles: + issue9936.diff

assignee: belopolsky
components: + Library (Lib)
versions: + Python 3.2
keywords: + patch
type: behavior
messages: + msg117258
stage: test needed
2010-09-24 02:55:53belopolskycreate